> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Checkouts

> GET /v2/naas/crossramp_checkouts — lista todos os checkouts NaaS do sub-merchant.

## Parâmetros de query

| Parâmetro | Tipo    | Descrição                                      |
| --------- | ------- | ---------------------------------------------- |
| `limit`   | integer | Máximo de resultados por página (padrão: `20`) |
| `offset`  | integer | Offset de paginação (padrão: `0`)              |

## Response `200 OK`

Cada item em `results` tem o mesmo formato do response de [Consultar Checkout](/pt/api-reference/naas/crossramp-checkout-get).

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://checkout.noxpay.io/v2/naas/crossramp_checkouts?limit=20&offset=0" \
    -H "api-key: <key>" \
    -H "X-Timestamp: 2026-05-27T14:30:00Z" \
    -H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
    -H "X-Signature: <assinatura-dos-headers>"
  ```

  ```python Python theme={null}
  import requests

  # Headers assinados
  headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
  headers["api-key"] = "<key>"
  response = requests.get(
      "https://checkout.noxpay.io/v2/naas/crossramp_checkouts",
      headers=headers,
      params={"limit": 20, "offset": 0},
  )
  print(response.json())
  ```

  ```javascript Node.js theme={null}
  // Headers assinados
  const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
  headers["api-key"] = "<key>";
  const params = new URLSearchParams({ limit: 20, offset: 0 });
  const response = await fetch(`https://checkout.noxpay.io/v2/naas/crossramp_checkouts?${params}`, {
    method: "GET",
    headers,
  });
  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "version": "v2",
    "total": 12,
    "limit": 20,
    "offset": 0,
    "results": []
  }
  ```
</ResponseExample>
